### Constructor

# FwupdPlugin Archive new_stream

since: 2.0.0

#### Declaration [src]

    FuArchive*
    fu_archive_new_stream (
      GInputStream* stream,
      FuArchiveFlags flags,
      GError** error
    )

#### Description [src]

Parses `stream` as an archive and decompresses all files to memory blobs.

Available since: 2.0.0

#### Parameters

`stream`

  Type: `GInputStream`

  A `GInputStream`.

  The data is owned by the caller of the function.

`flags`

  Type: `FuArchiveFlags`

  Archive flags, e.g. `FU_ARCHIVE_FLAG_NONE`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `FuArchive`

A `FuArchive`, or `NULL` if the archive was invalid in any way.

The caller of the function takes ownership of the data, and is responsible for freeing it.